Community
Civil 3D Customization
Welcome to Autodesk’s AutoCAD Civil 3D Forums. Share your knowledge, ask questions, and explore popular AutoCAD Civil 3D Customization topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

VBA - edit point information

1 REPLY 1
Reply
Message 1 of 2
allanbsteven
237 Views, 1 Reply

VBA - edit point information

Hi There,

This was created by another post. Its VBA and its about editing points with a pop up dialog box, which is waht I am after. I can't seem to get this to run.

Any help is appreciated. I tried to create it as a dvb but i could not het the command to work. Ihis version might not work in Civil3d 2014??

 

Thanks

Allan

 

 

Option Explicit

Public Sub PointTest()
Dim obj As AcadObject
Dim pt As Variant
Dim sMsg As String
Dim cgPoint As AeccPoint
ThisDrawing.Utility.GetEntity obj, pt, "Select point:"
If TypeOf obj Is AeccPoint Then
Set cgPoint = obj
sMsg = "Elevation = " & Format(cgPoint.Elevation, "0.00")
sMsg = sMsg & vbCr & "Raw Description = " & cgPoint.RawDescription
sMsg = sMsg & vbCr & "Full Description = " & cgPoint.FullDescription
sMsg = sMsg & vbCr & "Layer = " & cgPoint.Layer
MsgBox sMsg, vbInformation, "Point #" & cgPoint.Number

cgPoint.RawDescription = "new raw"
cgPoint.Layer = "Layer1" 'change the layer of the point
End If
End Sub

1 REPLY 1
Message 2 of 2
Jeff_M
in reply to: allanbsteven

IMHO, forget trying to use VBA with C3D. Unless yo are using C3D2009 or earlier.
Jeff_M, also a frequent Swamper
EESignature

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Rail Community


 

Autodesk Design & Make Report